# Uses of Interface
java.lang.classfile.attribute.LineNumberTableAttribute

Packages that use LineNumberTableAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of LineNumberTableAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type LineNumberTableAttribute
Modifier and Type
Method
Description
`static AttributeMapper<LineNumberTableAttribute>`
Attributes.`lineNumberTable()`
Returns the mapper for the `LineNumberTable` attribute.

## Uses of LineNumberTableAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type LineNumberTableAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`LineNumberTableAttribute`
Models the `LineNumberTable` attribute (JVMS §4.7.12), which records the mapping between indexes into the `code` array and line numbers in the source file.
Methods in java.lang.classfile.attribute that return LineNumberTableAttribute
Modifier and Type
Method
Description
`static LineNumberTableAttribute`
LineNumberTableAttribute.`of(List<LineNumberInfo> lines)`
Returns a `LineNumberTable` attribute.